//
//  MotionTracker.cpp
//  AICP
//
//  Created by Stephen Baker on 10/11/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#include "MotionTracker.h"
#include <iostream>


void MotionTracker::init() {
    
    grayImage.allocate(ofGetWidth(),ofGetHeight());

}

void MotionTracker::draw(int x, int y, int w, int h) {
    
    grayImage.draw(x, y, w, h);
    
}


void MotionTracker::setPixels(const unsigned char* pixels, int x, int y, int w, int h){
    
    cout << "motion tracker x " << x << " y " << y << " w " << w << " h " << h << endl; 
    
    grayImage.setROI(x, y, w, h);   
    grayImage.setRoiFromPixels(pixels, w, h);
    grayImage.resetROI();

}


