//
//  TextManager.cpp
//  20_AICP
//
//  Created by Stephen Baker on 9/6/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#include "TextManager.h"
#include <iostream>
#include <math.h>

//(1-pct)*a + (pct)*b;

void TextManager::init() {
	
    labelFont.loadFont("akkurat-light-webfont.ttf", 55, true, true, true);
	labelFont.setLineHeight(170.0f);//170.0f
    this->counter = new TimedCounter(0,0,2000);//5 seconds
	this->counter->play();
}

void TextManager::update() {
	
    for (int i = 0; i<textList.size(); i++) {
        textList[i].update(); 
    }	
    
    if(this->counter->isCounting()){
		
        //cout << "counting" << endl;
        
		this->counter->update();
        
		if(this->counter->hasChanged()){
            //do copy files
            
            cout << "changed" << endl;
            
            int rnd = floor(ofRandom(0, textList.size()));
            textList[rnd].fade(); 

            int rnd2 = floor(ofRandom(0, textList.size()));
            textList[rnd2].fade(); 
       
            int rnd3 = floor(ofRandom(0, textList.size()));
            textList[rnd3].fade();             
            
            //const char * sysCall = ("cp " + localBase + currentFilename + " " + remoteBase + currentFilename).c_str();
            
            //cout << "copying stuff = " << sysCall << endl;
            
            //system(sysCall);
            
            
            
            
		}
		
	}
    
}

void TextManager::draw() {
    
    for (int i = 0; i<textList.size(); i++) {
        textList[i].draw(); 
    }
	
}

void TextManager::addNewItem(string s) {
    TextLabel txt;
    txt.init(s, &labelFont);
	textList.push_back(txt);
	updateLayout();
}

void TextManager::updateLayout() {
    
    int xpos = 20;
    int ypos = 92;
    
    
    for (int i = 0; i<textList.size(); i++) {
        
        textList[i].setPosition(xpos, ypos);
        
        xpos += textList[i].getWidth()+40;
        
        if(xpos > ofGetWidth()){
            xpos = 20;
            ypos += 120;
        }
        
        
    } 
    
    
}