//
//  ColorManager.cpp
//  20_AICP
//
//  Created by Stephen Baker on 9/6/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#include "ColorManager.h"
#include <iostream>

//int colors [] = { 0x00ace6, 0xebad1e, 0xb283b9, 0xba1341 };

//(1-pct)*a + (pct)*b;

void ColorManager::init() {
    
    r = .5;
    g = .2;
    g = .8;
    
    Tweenzor::init();	
    
    
}

void ColorManager::update() {
    Tweenzor::update();
}

void ColorManager::draw(int x, int y, int w, int h) {
    ofSetColor((int)(r*255), (int)(g*255), (int)(b*255)); 
    ofRect(x, y, w, h);
}

void ColorManager::updateColor(float r_in, float g_in, float b_in){
    
    //cout << " r= " << r_in << " g = " << g_in << "b_in " << b_in;
    
    r_anim = r_in;
    b_anim = b_in;
    g_anim = g_in;

    Tweenzor::add( &r, r, r_anim, 0.0f, 1.0f, EASE_OUT_SINE);
    Tweenzor::add( &g, g, g_anim, 0.0f, 1.0f, EASE_OUT_SINE);
    Tweenzor::add( &b, b, b_anim, 0.0f, 1.0f, EASE_OUT_SINE);

}